/// File, socket, HTTP, and other I/O support for [Node.js](https://nodejs.org) applications.
library nodejs_interop.io;
// ignore_for_file: directives_ordering

import 'dart:async';
import 'dart:convert';
import 'dart:io' as io;
import 'dart:js_util';
import 'package:collection/collection.dart';
import 'package:file/file.dart' as f;
import 'package:js/js.dart';
import 'package:path/path.dart' as p;
import 'package:platform/platform.dart' as platform;
import 'package:process/process.dart' as process_manager;
import 'js.dart';
import 'node.dart';
import 'npm.dart';
import 'util.dart';

export 'dart:io' show
  InternetAddressType,
  ProcessException,
  ProcessResult,
  ProcessSignal,
  ProcessStartMode,
  SignalException,
  SocketException;

export 'package:file/file.dart' show
  ErrorCodes,
  FileLock,
  FileMode,
  FileSystemEntityType,
  FileSystemException,
  IOException,
  OSError;

part 'io/file/directory.dart';
part 'io/file/file.dart';
part 'io/file/file_stat.dart';
part 'io/file/file_system.dart';
part 'io/file/file_system_entity.dart';
part 'io/file/file_system_events.dart';
part 'io/file/link.dart';
part 'io/file/io_sink.dart';
part 'io/file/random_access_file.dart';
part 'io/platform/platform.dart';
part 'io/process.dart';
part 'io/process/process.dart';
part 'io/process/process_info.dart';
part 'io/process/process_manager.dart';
part 'io/socket/internet_address.dart';
part 'io/socket/network_interface.dart';
