part of nodejs_interop.io;

/// The global exit code for the Node.js VM.
int get exitCode => process.exitCode;
set exitCode(int value) => process.exitCode = value;

/// The PID of the current process.
int get pid => process.pid;

/// Exits the [Node.js](https://nodejs.org) process immediately with the given exit code.
void exit(int code) => process.exit(code);

/// Sleeps for the duration specified in [duration].
void sleep(Duration duration) {
  if (duration.inMilliseconds < 0) throw new ArgumentError('The duration cannot be negative');
  var timestamp = new DateTime.now().add(new Duration(milliseconds: duration.inMilliseconds)).millisecondsSinceEpoch;
  var arguments = ['-e', 'setTimeout(() => null, $timestamp - Date.now())'];
  loadLibrary<ChildProcessModule>('child_process').execFileSync(const Platform().resolvedExecutable, arguments);
}
