part of nodejs_interop.node;

/// The [`buffer`](https://nodejs.org/api/buffer.html) module.
@JS()
abstract class BufferModule {

  /// Constants specific to this module.
  external BufferConstants get constants;

  /// The maximum number of bytes that will be returned when this buffer is inspected.
  external int get INSPECT_MAX_BYTES;

  /// The largest size allowed for a single [Buffer] instance.
  /// An alias for the [BufferConstants.MAX_LENGTH] property.
  external int get kMaxLength;

  /// Re-encodes the given [source] buffer from one character encoding to another.
  /// The transcoding process will use substitution characters if a given byte sequence cannot be adequately represented in the target encoding.
  external Buffer transcode(Buffer source, String fromEncoding, String toEncoding);
}
