part of nodejs_interop.node;

/// A function invoked when an operation is finally completed.
typedef void CompletionCallback0([JSError error]);

/// A function invoked with a value when an operation is finally completed.
typedef void CompletionCallback1<T>(JSError error, [T value]);

/// A function invoked with two values when an operation is finally completed.
typedef void CompletionCallback2<T, U>(JSError error, [T value1, U value2]);

/// The console object. Used to print to `stdout` and `stderr`.
@JS('console')
external Console get console;

/// The directory path of the current module.
@JS('__dirname')
external String get dirname;

/// A reference to the `module.exports` property that is shorter to type.
@JS('exports')
external dynamic get exports;

/// The file path of the current module. This is the resolved absolute path of the current module file.
@JS('__filename')
external String get filename;

/// The global namespace object.
@JS('global')
external dynamic get global;

/// A reference to the current module.
@JS('module')
external Module get module;

/// The process object.
@JS('process')
external NodeProcess get process;

/// Requires modules.
@JS('require')
external RequireFunction get require;
