import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the process functions and properties.
void main() {
  group('exitCode', () {
    test('should get or set the process exit code', () {
      exitCode = 0;
      expect(exitCode, allOf(equals(0), equals(process.exitCode)));
      exitCode = 1;
      expect(exitCode, allOf(equals(1), equals(process.exitCode)));
      exitCode = 0;
    });
  });

  group('sleep()', () {
    test('should synchronously wait for the given duration', () {
      var stopwatch = new Stopwatch()..start();
      sleep(const Duration(seconds: 1));
      stopwatch.stop();
      expect(stopwatch.elapsed.inSeconds, equals(1));

      stopwatch..reset()..start();
      sleep(const Duration(seconds: 2));
      stopwatch.stop();
      expect(stopwatch.elapsed.inSeconds, equals(2));
    });
  });
}
