import 'dart:typed_data';
import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the [TypedArray] classes.
void main() => group('Uint8Array', () {
  group('.BYTES_PER_ELEMENT', () {
    test('should return `1`', () {
      expect(Uint8Array.BYTES_PER_ELEMENT, equals(1));
    });
  });

  group('.name', () {
    test('should return "Uint8Array"', () {
      expect(Uint8Array.name, equals('Uint8Array'));
    });
  });

  group('.from()', () {
    test('should return an empty array for an empty iterable', () {
      expect(Uint8Array.from(const []), allOf(const isInstanceOf<Uint8List>(), isEmpty));
    });

    test('should return an array with as many elements as the source elements', () {
      expect(Uint8Array.from([0, 127, 255]), orderedEquals([0, 127, 255]));
    });
  });

  group('.of()', () {
    test('should return an empty array for no argument', () {
      expect(Uint8Array.of(), allOf(const isInstanceOf<Uint8List>(), isEmpty));
    });

    test('should return an array with as many elements as arguments', () {
      expect(Uint8Array.of(0, 127, 255), orderedEquals([0, 127, 255]));
    });
  });
});
