import 'package:nodejs_interop/nodejs_interop.dart';
import 'package:test/test.dart';

/// Tests the features of the [JSAssertionError] class.
void main() => group('JSAssertionError', () {
  loadLibrary('assert');

  test('should be an instance of the `Exception` class', () {
    var error = new JSAssertionError(new AssertionErrorOptions(actual: 123, message: 'An error message'));
    expect(error, const isInstanceOf<Exception>());
    expect(error.actual, equals(123));
    expect(error.message, equals('An error message'));
    expect(error.name, equals('AssertionError [ERR_ASSERTION]'));
  });
});
